Package: groovy.org.codenarc.analyzer

## [Java] Class SuppressionAnalyzer

- groovy.org.codenarc.analyzer.SuppressionAnalyzer

- This class encapsulates all of the logic for determining if an rule is suppressed or not.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SuppressionAnalyzer (SourceCode source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<Violation>` | `filterSuppressedViolations(Iterable<Violation> violations)`
    `` | `boolean` | `isRuleSuppressed(Rule rule)`
    `` | `boolean` | `isViolationSuppressed(Violation violation)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public SuppressionAnalyzer(SourceCode source)

  - ### Method Detail

    - #### public List<Violation> filterSuppressedViolations(Iterable<Violation> violations)

    - #### public boolean isRuleSuppressed(Rule rule)

    - #### public boolean isViolationSuppressed(Violation violation)